## org.cybergarage.upnp.device
Class Advertiser

    java.lang.Object
      org.cybergarage.util.ThreadCore
          org.cybergarage.upnp.device.Advertiser

All Implemented Interfaces:
  Runnable

    public class Advertiser

extends ThreadCore

Constructor Summary
`Advertiser(Device dev)`

Method Summary
`Device` `getDevice()`
`void` `run()`
`void` `setDevice(Device dev)`

Methods inherited from class org.cybergarage.util.ThreadCore
`getThreadObject, isRunnable, restart, setThreadObject, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Advertiser

    public Advertiser(Device dev)

Method Detail

### setDevice

    public void setDevice(Device dev)

### getDevice

    public Device getDevice()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `ThreadCore`